local L = LibStub("AceLocale-3.0"):NewLocale ("TradeFill", "enUS", true)
if not L then return end

L["VERSION"] = "Version %s Loaded."

L["ADDON_ON"] = "|cFFFFFF00Autofill|r is |cFF00FF00enabled|r"
L["ADDON_OFF"] = "|cFFFFFF00Autofill|r is |cFFFF0000disabled|r"

L["TRADE_COMPLETE"] = "Trading |cFF00FF00complete|r with %s"
L["TRADE_CANCELED"] = "Trading |cFFFF0000canceled|r with %s"

L["MINIMAP_LEFT_CLICK_ENABLE"] = "Click |cFFFFFFFFto|r |cFF00FF00enabler|r |cFFFFFF00Autofill|r"
L["MINIMAP_LEFT_CLICK_DISABLE"] = "Click |cFFFFFFFFto |cFFFF0000disable|r |cFFFFFF00Autofill|r"
L["MINIMAP_RIGHT_CLICK_OPEN"] = "Right-Click |cFFFFFFFFto|r |cFF00FF00open|r |cFFFFFFFFthe options menu|r"
L["MINIMAP_RIGHT_CLICK_CLOSE"] = "Right-Click |cFFFFFFFFto|r |cFFFF0000close|r |cFFFFFFFFthe options menu|r"
L["MINIMAP_SHIFT_CLICK_REFRESH"] = "Shift-Click |cFFFFFFFFto refresh|r |cFFFFFF00Autofill|r |cFFFFFFFFlimit|r"

L["OPTION_NONE"] = "None"
L["OPTIONS_ITEM"] = "Item to trade"
L["OPTIONS_ITEM_DESC"] = "Select a item"
L["ITEM_NAME"] = " Requires Level"
L["ITEM_UNKNOWN"] = "Unknown"

L["TAB_ITEMS"] = "Items"
L["TAB_ITEMS_DESC"] = "Select the items from your inventory that you want to trade"
L["TOGGLE_FULL_STACKS"] = "Full stacks"
L["TOGGLE_FULL_STACKS_DESC"] = "Fill the tradewindow only with full stacks else it will take the first available stack"
L["TOGGLE_AUTOFILL"] = "|cFFFFFF00Autofill|r"
L["TOGGLE_AUTOFILL_DESC"] = [=[Place items automatically in tradewindow when the right conditions are made

|cFFFFFF00Enable/Disable|r
/tradefill|cFF00FF00on|r
/tradefill|cFFFF0000off|r
]=]
L["TOGGLE_REFRESH_LIMIT"] = "Refresh limit"
L["TOGGLE_REFRESH_LIMIT_DESC"] = [=[Reset the stored player names for the |cFFFFFF00Autofill|r limit upon each login

|cFFFFFF00Reset stored player names|r
|cFF00FF00Shift-Click|r minimap button
/tradefill|cFF00FF00limit|r
]=]

L["TAB_MAIN"] = "Main"
L["TAB_MAIN_DESC"] = "Main options"
L["TOGGLE_SHOW"] = "Show only full stacks"
L["TOGGLE_SHOW_DESC"] = "Hide stacks that are not full in dropdown menu"

L["TAB_HIDE"] = "Hide options"
L["TAB_HIDE_DESC"] = "Assign the options you want to hide"
L["TOGGLE_MINIMAP"] = "Minimap"
L["TOGGLE_MINIMAP_DESC"] = "Hide minimap button"
L["TOGGLE_BUTTON"] = "Buttons"
L["TOGGLE_BUTTON_DESC"] = "Hide additional buttons in tradewindow"
L["TOGGLE_MESSAGES"] = "Messages"
L["TOGGLE_MESSAGES_DESC"] = "Hide chat messages"

L["TAB_STACKS"] = "Stacks"
L["TAB_STACKS_DESC"] = "Assign the number of stacks you want to trade for each class"
L["TREE_STACKS_SELECT"] = "Number of stacks"
L["TREE_STACKS_SELECT_DESC"] = "Choose an amount of stack you want to trade"

L["TAB_CONDITION"] = "Condition"
L["TAB_CONDITION_DESC"] = "Assign conditions when or when not to autofill the tradewindow"
L["TREE_CONDITION"] = "Autofill conditions"

L["TREE_CONDITION_DESC"] = [=[In which group state you want it autofill the tradewindow
    -Strangers
    -Party members
    -Raid members

Player also have to meet these conditions
    -|cFFFFFF00Guild members|r
    -|cFFFFFF00Required level|r
    -|cFFFFFF00%s|r

Do not autofill when
    -|cFFFF0000Master looter|r
]=]

L["TOGGLE_STRANGER"] = "Strangers"
L["TOGGLE_STRANGER_DESC"] = "Autofill with anyone when your not in a group"
L["TOGGLE_PARTY"] = "Party members"
L["TOGGLE_PARTY_DESC"] = "Autofill with party members"
L["TOGGLE_RAID"] = "Raid members"
L["TOGGLE_RAID_DESC"] = "Autofill with raid members"
L["TOGGLE_GUILD"] = "|cFFFFFF00Guild members|r"
L["TOGGLE_GUILD_DESC"] = "Only with guild members"
L["TOGGLE_REQUIRED"] = "|cFFFFFF00Required level|r"
L["TOGGLE_REQUIRED_DESC"] = "Only when the player has the required item level"
L["TOGGLE_LEVEL"] = "|cFFFFFF00Level %i|r"
L["TOGGLE_LEVEL_DESC"] = "Only when the player is level cap"
L["TOGGLE_MASTER"] = "|cFFFF0000Master looter|r"
L["TOGGLE_MASTER_DESC"] = "Except when your the loot master"

L["TREE_PLAYERS"] = "|cFFFF4C4CExclude|r players"
L["TREE_PLAYERS_DESC"] = "Do not fill tradewindow with those players"
L["INPUT_TEXTAREA_PLAYERS"] = "Player names"
L["INPUT_TEXTAREA_PLAYERS_DESC"] = "Enter player name you do not want to autofill with"
L["INPUT_TEXTAREA_PLAYERS_USAGE"] = "Player names can only contains letters"
L["TREE_GUILDS"] = "|cFFFF4C4CExclude|r guilds"
L["TREE_GUILDS_DESC"] = "Do not fill tradewindow with players from these guilds"
L["INPUT_TEXTAREA_GUILDS"] = "Guild names"
L["INPUT_TEXTAREA_GUILDS_DESC"] = "Enter guild name you do not want to autofill with"
L["INPUT_TEXTAREA_GUILDS_USAGE"] = "Guild names can only contains letters"

L["CONDITION_MESSAGE"] = "Cannot autofill %s because "
L["THESE_ITEMS"] = "these items"
L["MESSAGE_AUTOFILL"] = "%s is disabled"
L["MESSAGE_NO_GUILD"] = "%s is active and your not in a guild."
L["MESSAGE_GUILD"] = "%s is active and this player is not a guild member"
L["MESSAGE_REQUIRED"] = "%s is active and player has not the required item level"
L["MESSAGE_LEVEL"] = "%s is active and player is not high enough level "
L["MESSAGE_MASTER_LOOTER"] = "|cFFFF0000Master looter|r is active and your the loot master"
L["MESSAGE_STACK_CLASS"] = "the class %s has no stack number assigned"
L["MESSAGE_EXCLUDE_PLAYERS"] = "%s is on the exclude list"
L["MESSAGE_EXCLUDE_GUILDS"] = "%s is on the exclude list"
L["MESSAGE_NO_ITEM"] = "Item not found %s"
L["MESSAGE_FULL"] = "Trade window is full"
L["MESSAGE_SOULBOUND"] = "Item %s is soulbound can't trade that"
L["MESSAGE_NO_STACK"] = "Out of stock %s no more stacks available"
L["MESSAGE_NO_FULL_STACK"] = "Out of stock %s no more full stack available"
L["MESSAGE_LIMIT"] = "the limit has reached for %s"

L["SELECT_LIMIT"] = "Autofill |cFFFFFFFFlimit|r"
L["SELECT_LIMIT_DESC"] = [=[Set an |cFFFFFF00Autofill|r limit for each completed trade

Each completed trade that contains this item, the player will receive a |cFF00FF00+|r1 increment until the limit is reached. Once the limit is reached, this item will no longer be |cFFFFFF00Autofill|r

|cFFFFFF00Reset stored player names|r
|cFF00FF00Shift-Click|r minimap button
/tradefill|cFF00FF00limit|r
]=]

L["TAB_HISTORY"] = "History"
L["TAB_HISTORY_DESC"] = "An overview of your trading history"
L["TRADES_WITH"] = "%s |cFFFFFFFFtrades with|r %s"
L["REMOVED_TRADE"] = "Removed trade from "
L["REMOVED_ALL"] = "Removed all trade history"
L["REMOVED_LIMIT"] = "the |cFFFFFF00Autofill|r limit has been refreshed"
L["TOTAL_RECEIVED"] = "Total received: "
L["TOTAL_GIVEN"] = "Total given: "
L["TOTAL"] = "|cFF00FF00Total|r"
L["TOTAL_DESC"] = "Your total trading history of items given and received"
L["NOT_TRADED"] = "|cFFFF0000Not traded below|r"

L["BUTTON_DELETE_DAY"] = "Delete"
L["BUTTON_DELETE_DAY_DESC"] = "Remove this trade history"
L["BUTTON_DELETE_ALL"] = "Delete history"
L["BUTTON_DELETE_ALL_DESC"] = "Remove all trade history"
L["BUTTON_TOOLTIP"] = [=[
|cFFFFFF00Click|r to add one item
|cFFFFFF00Right-Click|r to remove one item
]=]