local L = LibStub("AceLocale-3.0"):NewLocale ("TradeFill", "zhCN")
if not L then return end

L["VERSION"] = "版本 %s 已加载。"

L["ADDON_ON"] = "|cFFFFFF00自动填充|r 已 |cFF00FF00启用|r"
L["ADDON_OFF"] = "|cFFFFFF00自动填充|r 已 |cFFFF0000禁用|r"

L["TRADE_COMPLETE"] = "与 %s |cFF00FF00完成|r 交易"
L["TRADE_CANCELED"] = "与 %s |cFFFF0000取消|r 交易"

L["MINIMAP_LEFT_CLICK_ENABLE"] = "单击 |cFFFFFFFF以|r |cFF00FF00启用|r |cFFFFFF00自动填充|r"
L["MINIMAP_LEFT_CLICK_DISABLE"] = "单击 |cFFFFFFFF以|r |cFFFF0000禁用|r |cFFFFFF00自动填充|r"
L["MINIMAP_RIGHT_CLICK_OPEN"] = "右键单击 |cFFFFFFFF以|r |cFF00FF00打开|r |cFFFFFFFF选项菜单|r"
L["MINIMAP_RIGHT_CLICK_CLOSE"] = "右键单击 |cFFFFFFFF以|r |cFFFF0000关闭|r |cFFFFFFFF选项菜单|r"
L["MINIMAP_SHIFT_CLICK_REFRESH"] = "Shift-单击 |cFFFFFFFF以刷新|r |cFFFFFF00自动填充|r |cFFFFFFFF限制|r"

L["OPTION_NONE"] = "无"
L["OPTIONS_ITEM"] = "要交易的物品"
L["OPTIONS_ITEM_DESC"] = "选择一个物品"
L["ITEM_NAME"] = " 需要等级"
L["ITEM_UNKNOWN"] = "未知"

L["TAB_ITEMS"] = "物品"
L["TAB_ITEMS_DESC"] = "从你的库存中选择要交易的物品"
L["TOGGLE_FULL_STACKS"] = "整组"
L["TOGGLE_FULL_STACKS_DESC"] = "仅在交易窗口中填充整组，否则将使用第一个可用的堆栈"
L["TOGGLE_AUTOFILL"] = "|cFFFFFF00自动填充|r"
L["TOGGLE_AUTOFILL_DESC"] = [=[当满足适当条件时自动将物品放入交易窗口

|cFFFFFF00启用/禁用|r
/tradefill|cFF00FF00on|r
/tradefill|cFFFF0000off|r
]=]
L["TOGGLE_REFRESH_LIMIT"] = "刷新限制"
L["TOGGLE_REFRESH_LIMIT_DESC"] = [=[每次登录时重置 |cFFFFFF00自动填充|r 限制的存储玩家名称

|cFFFFFF00重置存储玩家名称|r
|cFF00FF00Shift-单击|r 小地图按钮
/tradefill|cFF00FF00limit|r
]=]

L["TAB_MAIN"] = "主要"
L["TAB_MAIN_DESC"] = "主要选项"
L["TOGGLE_SHOW"] = "仅显示完整组"
L["TOGGLE_SHOW_DESC"] = "隐藏下拉菜单中不完整的堆栈"

L["TAB_HIDE"] = "隐藏选项"
L["TAB_HIDE_DESC"] = "指定要隐藏的选项"
L["TOGGLE_MINIMAP"] = "小地图"
L["TOGGLE_MINIMAP_DESC"] = "隐藏小地图按钮"
L["TOGGLE_BUTTON"] = "按钮"
L["TOGGLE_BUTTON_DESC"] = "在交易窗口中隐藏附加按钮"
L["TOGGLE_MESSAGES"] = "消息"
L["TOGGLE_MESSAGES_DESC"] = "隐藏聊天消息"

L["TAB_STACKS"] = "堆叠"
L["TAB_STACKS_DESC"] = "为每个职业指定要交易的堆叠数量"
L["TREE_STACKS_SELECT"] = "堆叠数量"
L["TREE_STACKS_SELECT_DESC"] = "选择您想要交易的堆叠数量"

L["TAB_CONDITION"] = "条件"
L["TAB_CONDITION_DESC"] = "指定何时或何时不自动填充交易窗口的条件"
L["TREE_CONDITION"] = "自动填充条件"

L["TREE_CONDITION_DESC"] = [=[在哪个组状态下您希望自动填充交易窗口
    - 陌生人
    - 队伍成员
    - 团队成员

玩家还必须满足以下条件之一
    - |cFFFFFF00公会成员|r
    - |cFFFFFF00需要等级|r
    - |cFFFFFF00%s|r

不自动填充时
    - |cFFFF0000拾取者|r
]=]

L["TOGGLE_STRANGER"] = "陌生人"
L["TOGGLE_STRANGER_DESC"] = "当您不在一个组中时与任何人一起自动填充"
L["TOGGLE_PARTY"] = "队伍成员"
L["TOGGLE_PARTY_DESC"] = "与队伍成员自动填充"
L["TOGGLE_RAID"] = "团队成员"
L["TOGGLE_RAID_DESC"] = "与团队成员自动填充"
L["TOGGLE_GUILD"] = "|cFFFFFF00公会成员|r"
L["TOGGLE_GUILD_DESC"] = "仅与公会成员一起"
L["TOGGLE_REQUIRED"] = "|cFFFFFF00需要等级|r"
L["TOGGLE_REQUIRED_DESC"] = "仅当玩家达到所需物品等级时"
L["TOGGLE_LEVEL"] = "|cFFFFFF00等级 %i|r"
L["TOGGLE_LEVEL_DESC"] = "仅当玩家达到最高等级时"
L["TOGGLE_MASTER"] = "|cFFFF0000拾取者|r"
L["TOGGLE_MASTER_DESC"] = "除非您是拾取者"

L["TREE_PLAYERS"] = "|cFFFF4C4C排除|r 玩家"
L["TREE_PLAYERS_DESC"] = "不要使用这些玩家填充交易窗口"
L["INPUT_TEXTAREA_PLAYERS"] = "玩家名称"
L["INPUT_TEXTAREA_PLAYERS_DESC"] = "输入您不想自动填充的玩家名称"
L["INPUT_TEXTAREA_PLAYERS_USAGE"] = "玩家名称只能包含字母"
L["TREE_GUILDS"] = "|cFFFF4C4C排除|r 公会"
L["TREE_GUILDS_DESC"] = "不要与这些公会的玩家填充交易窗口"
L["INPUT_TEXTAREA_GUILDS"] = "公会名称"
L["INPUT_TEXTAREA_GUILDS_DESC"] = "输入您不想自动填充的公会名称"
L["INPUT_TEXTAREA_GUILDS_USAGE"] = "公会名称只能包含字母"

L["CONDITION_MESSAGE"] = "由于%s，无法自动填充 "
L["THESE_ITEMS"] = "这些物品"
L["MESSAGE_AUTOFILL"] = "%s 已禁用"
L["MESSAGE_NO_GUILD"] = "%s 已激活，您不在公会中。"
L["MESSAGE_GUILD"] = "%s 已激活，此玩家不是公会成员"
L["MESSAGE_REQUIRED"] = "%s 已激活，玩家没有所需的物品等级"
L["MESSAGE_LEVEL"] = "%s 已激活，玩家等级不够 "
L["MESSAGE_MASTER_LOOTER"] = "|cFFFF0000拾取者|r 已激活，您是拾取者"
L["MESSAGE_STACK_CLASS"] = "职业 %s 没有分配堆叠数量"
L["MESSAGE_EXCLUDE_PLAYERS"] = "%s 在排除列表上"
L["MESSAGE_EXCLUDE_GUILDS"] = "%s 在排除列表上"
L["MESSAGE_NO_ITEM"] = "未找到物品 %s"
L["MESSAGE_FULL"] = "交易窗口已满"
L["MESSAGE_SOULBOUND"] = "物品 %s 已灵魂绑定，无法交易"
L["MESSAGE_NO_STACK"] = "库存不足 %s 不再有更多堆栈可用"
L["MESSAGE_NO_FULL_STACK"] = "库存不足 %s 不再有更多完整堆叠可用"
L["MESSAGE_LIMIT"] = "%s 达到了限制"

L["SELECT_LIMIT"] = "自动填充 |cFFFFFFFF限制|r"
L["SELECT_LIMIT_DESC"] = [=[为每次完成的交易设置 |cFFFFFF00自动填充|r 限制

每次包含此物品的完成交易，玩家都将获得 |cFF00FF00+|r1 的增量，直到达到限制为止。一旦达到限制，此物品将不再 |cFFFFFF00自动填充|r

|cFFFFFF00重置存储玩家名称|r
|cFF00FF00Shift-单击|r 小地图按钮
/tradefill|cFF00FF00limit|r
]=]

L["TAB_HISTORY"] = "历史"
L["TAB_HISTORY_DESC"] = "您的交易历史概览"
L["TRADES_WITH"] = "%s |cFFFFFFFF与|r %s 交易"
L["REMOVED_TRADE"] = "从 %s 删除交易"
L["REMOVED_ALL"] = "删除所有交易历史记录"
L["REMOVED_LIMIT"] = "|cFFFFFF00自动填充|r 限制已刷新"
L["TOTAL_RECEIVED"] = "总接收量："
L["TOTAL_GIVEN"] = "总给出量："
L["TOTAL"] = "|cFF00FF00总计|r"
L["TOTAL_DESC"] = "您的物品给出和接收的总交易历史记录"
L["NOT_TRADED"] = "|cFFFF0000以下未交易|r"

L["BUTTON_DELETE_DAY"] = "删除"
L["BUTTON_DELETE_DAY_DESC"] = "移除此交易历史"
L["BUTTON_DELETE_ALL"] = "删除历史记录"
L["BUTTON_DELETE_ALL_DESC"] = "移除所有交易历史记录"
L["BUTTON_TOOLTIP"] = [=[
|cFFFFFF00单击|r 添加一个物品
|cFFFFFF00右键单击|r 移除一个物品
]=]